Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.container
Class GetAdminConsoleInfoTask

    java.lang.Object
      org.jivesoftware.openfire.container.GetAdminConsoleInfoTask

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class GetAdminConsoleInfoTask

extends Object
implements ClusterTask

Task that will return the bind interface and ports being used by the admin console of the node where the task will be executed. When the admin console is binded to all network interfaces this task will try to find a valid IP address that will work for the remote node.

A `null` bindInterface in the result of this task means that the task failed to find a valid IP address where the admin console is listening.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`GetAdminConsoleInfoTask()`

Method Summary
`int` | `getAdminPort()`
`String` | `getAdminSecret()`
`int` | `getAdminSecurePort()`
`String` | `getBindInterface()`
`Object` | `getResult()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetAdminConsoleInfoTask

    public GetAdminConsoleInfoTask()

Method Detail

### getResult

    public Object getResult()

  Specified by:
    `getResult` in interface `ClusterTask`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### getBindInterface

    public String getBindInterface()

### getAdminPort

    public int getAdminPort()

### getAdminSecurePort

    public int getAdminSecurePort()

### getAdminSecret

    public String getAdminSecret()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.